﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace FieldPositioning
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            xamDataGrid1.FieldLayoutSettings.AllowFieldMoving = AllowFieldMoving.WithinLogicalRow;
            xamDataGrid1.FieldPositionChanged += new EventHandler<Infragistics.Windows.DataPresenter.Events.FieldPositionChangedEventArgs>(xamDataGrid1_FieldPositionChanged);
        }

        void xamDataGrid1_FieldPositionChanged(object sender, Infragistics.Windows.DataPresenter.Events.FieldPositionChangedEventArgs e)
        {
            xamDataGrid1.FieldLayouts[0].Fields["name"].ActualPosition = new FieldPosition(0, 0, 1, 1);

            xamDataGrid1.FieldLayouts[0].EnsureUniqueFieldPositions();
        }
    }
}
